<?php
namespace zin;

global $lang;

$envList      = data('envList');
$hosts        = data('hosts');
$hasFlow      = data('hasFlow');
$systemServer = data('systemServer');

$hostsJS = array();
$envJS   = array();
if(!empty($hosts)) foreach($hosts as $hostID => $host) $hostsJS[] = array('value' => $hostID, 'text' => $host);
if(!empty($envList)) foreach($envList as $envID => $env) $envJS[] = array('value' => $envID, 'text' => $env);
jsVar('hosts', json_encode($hostsJS));
jsVar('envs', json_encode($envJS));

if($systemServer)
{
    query('#name')->before
    (
        formGroup
        (
            set::width('1/2'),
            set::label($lang->deploy->type),
            set::name('type'),
            set::items($lang->deploy->typeList),
            set::required(true),
            on::change()->call('changeType')
        )
    );
}

query('#owner')->after
(
    formGroup
    (
        setID('app'),
        setClass('hidden'),
        set::width('1/2'),
        set::label($lang->deploy->app),
        set::name('app'),
        set::required(true),
        set::items(array()),
        on::init()->call('initApp'),
        on::change()->call('changeApp')
    ),
    formGroup
    (
        setID('env'),
        set::width('1/2'),
        set::label($lang->deploy->env),
        set::name('env'),
        set::items($envList),
        on::change()->call('changeEnv')
    ),
    formHidden('releaseTPL', 0)
);

if($hasFlow)
{
    query('#desc')->before
    (
        formGroup
        (
            set::label($lang->deploy->reviewer),
            div(setID('reviewerBox'))
        )
    );
    pageJS(<<<JAVASCRIPT
    $(function()
    {
        var link = $.createLink('deploy', 'ajaxGetNodes', 'deployID=0');
        loadCurrentPage({url: link, selector: '#reviewerBox', partial: true});
    });
JAVASCRIPT
    );
}
